%define desktop_file_utils_version 0.9

Name:		qubes-desktop-linux-common
Version:	4.2.12
Release:	1%{?dist}
Summary:	Common code used for multiple desktop environments' Qubes integration

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org
Source0:	%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	make
BuildRequires:	pandoc
BuildRequires:	python%{python3_pkgversion}
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	GraphicsMagick
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
Requires:	xdotool
Requires:	xprop
Requires:	python%{python3_pkgversion}-qubesimgconverter
# for --force-root support
Requires:	python%{python3_pkgversion}-qubesadmin >= 4.1.14
Requires:	python%{python3_pkgversion}-pyxdg
Requires:	xdg-utils

%description
Common code used for multiple desktop environments' Qubes integration

%package -n qubes-menus
Summary: Configuration and data files for the desktop menus
Group: User Interface/Desktops
Requires(post): desktop-file-utils >= %{desktop_file_utils_version}
Requires(postun): desktop-file-utils >= %{desktop_file_utils_version}

## old nautilus contained start-here stuff
Conflicts: nautilus <= 2.0.3-1
## desktop files in redhat-menus point to icons in new artwork
Conflicts: redhat-artwork < 0.35
## old evolution packages point to a no-longer-existing symlink
Conflicts: evolution <= 2.4.1-5

Provides: redhat-menus
Obsoletes: redhat-menus

%description -n qubes-menus
This package contains the XML files that describe the menu layout for
GNOME and KDE, and the .desktop files that define the names and icons
of "subdirectories" in the menus.

%prep
%setup -q

%build
make PYTHON=%{__python3}
make -C doc manpages PYTHON=%{__python3}

%install
make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} PYTHON=%{__python3} install
make -C doc DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} PYTHON=%{__python3} install

%post
for i in /usr/share/qubes/icons/*.png ; do
    xdg-icon-resource install --noupdate --novendor --size 48 $i
done
xdg-icon-resource forceupdate

#xdg-desktop-menu install /usr/share/qubes-appmenus/qubes-dispvm.directory /usr/share/qubes-appmenus/qubes-dispvm-*.desktop

%preun
if [ "$1" = 0 ] ; then
    # no more packages left

    for i in /usr/share/qubes/icons/*.png ; do
        xdg-icon-resource uninstall --novendor --size 48 $i
    done

    #xdg-desktop-menu uninstall /usr/share/qubes-appmenus/qubes-dispvm.directory /usr/share/qubes-appmenus/qubes-dispvm-*.desktop
fi

%files
%defattr(-,root,root,-)
%{_bindir}/qvm-xkill
%{_mandir}/man1/qvm-*.1*
%dir %{python3_sitelib}/qubesdesktop-*.egg-info
%{python3_sitelib}/qubesdesktop-*.egg-info/*
%dir %{python3_sitelib}/qubesappmenus
%dir %{python3_sitelib}/qubesappmenus/__pycache__
%{python3_sitelib}/qubesappmenus/__pycache__/*
%{python3_sitelib}/qubesappmenus/__init__.py
%{python3_sitelib}/qubesappmenus/receive.py
%{python3_sitelib}/qubesappmenus/qubes-vm-settings.desktop.template
%{python3_sitelib}/qubesappmenus/qubes-servicevm.directory.template
%{python3_sitelib}/qubesappmenus/qubes-templatevm.directory.template
%{python3_sitelib}/qubesappmenus/qubes-templatedispvm.directory.template
%{python3_sitelib}/qubesappmenus/qubes-vm.directory.template
%{python3_sitelib}/qubesappmenus/qubes-dispvm.directory.template
%{python3_sitelib}/qubesappmenus/qubes-start.desktop.template
%{python3_sitelib}/qubesappmenus/tests.py
%{python3_sitelib}/qubesappmenus/tests_integ.py
%{python3_sitelib}/qubesappmenus/test-data

%dir %{python3_sitelib}/qubesappmenusext
%dir %{python3_sitelib}/qubesappmenusext/__pycache__
%{python3_sitelib}/qubesappmenusext/__pycache__/*
%{python3_sitelib}/qubesappmenusext/__init__.py

/etc/qubes-rpc/qubes.SyncAppMenus
/etc/qubes-rpc/qubes.UpdateAppMenusFor
/etc/qubes-rpc/qubes.RemoveAppMenusFor
/usr/share/qubes/icons/*.png
/usr/share/icons/hicolor/scalable/apps/qubes-vm-settings.svg
/usr/bin/qvm-sync-appmenus
/usr/bin/qvm-appmenus

%files -n qubes-menus
%defattr(-,root,root)
%doc qubes-menus/README
%dir %{_sysconfdir}/xdg/menus
%dir %{_sysconfdir}/xdg/menus/applications-merged
%dir %{_sysconfdir}/xdg/menus/preferences-merged
%dir %{_sysconfdir}/xdg/menus/preferences-post-merged
%dir %{_sysconfdir}/xdg/menus/settings-merged
%config %{_sysconfdir}/xdg/menus/*.menu
%{_datadir}/desktop-directories/*.directory

%changelog
* Sat Aug 24 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-desktop-linux-common.git

* Sat Aug 24 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ef36c16
- version 4.2.12

* Wed Aug 21 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d8ec9ff
- tests: assertEquals -> assertEqual

* Sun Aug 18 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b15d688
- version 4.2.11

* Thu Jun 27 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b0e1172
- rpm: add missing changelog

* Thu Jun 27 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a8b073d
- version 4.2.10

* Tue Jun 25 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - c1d057a
- Add a nicer icon to vm settings

* Fri May 17 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 272d7f5
- version 4.2.9

* Fri May 17 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f1f0016
- Revert "Remove deprecated pkg_resources, replace with importlib"

* Fri May 17 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 90a27a8
- version 4.2.8

* Wed May 15 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1b1bba1
- Make pylint happy

* Wed May 15 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a42602f
- Do not react to events when running in "offline mode"

* Tue May 07 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 173fd24
- Remove deprecated pkg_resources, replace with importlib

* Sat Apr 13 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dd34826
- version 4.2.7

* Fri Apr 12 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 038857c
- Collect background tasks results

* Fri Apr 12 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fa5500b
- Convert on_template_postinstall to async function

* Wed Mar 27 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 87a28b3
- version 4.2.6

* Sat Mar 16 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 88a60a3
- tests: sort applications list before comparing

* Tue Oct 10 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2fab9f4
- version 4.2.5

* Tue Oct 10 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f3091ef
- Fix calling qvm-appmenus as appropriate user

* Mon Oct 09 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eafa73e
- version 4.2.4

* Tue Sep 19 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fdcbb35
- appmenus: do not override cloned menu-items with the default one

* Tue Sep 19 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4e69319
- appmenus: update appmenus on changing GUI VM

* Tue Sep 19 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6ffaf50
- appmenus: queue menu updates when GUI VM is not running

* Tue Sep 19 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9c8085b
- appmenus: Call qvm-appmenus via qrexec service

* Mon Sep 18 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8ed18dc
- appmenus: Call qvm-appmenus on menu-items feature change too

* Mon Jul 17 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e56ecad
- version 4.2.3

* Tue Jul 04 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 3026dcf
- Handle periods in qube names

* Sun May 28 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 624b96b
- Reject trailing newlines explicitly

* Sun May 28 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4ad12af
- version 4.2.2

* Thu May 18 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - e7344e3
- Remove old global settings from menu

* Thu Feb 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6cfb620
- version 4.2.1

* Thu Feb 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f48a19c
- Revert "Set systemctl env to correctly use XDG_CURRENT_DESKTOP"

* Tue Feb 14 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7323aef
- Properly place new qubes GUI tools in the menu

* Tue Feb 14 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f00fe67
- menu: Exclude file manager, mail reader and web browser in Xfce 4.16 too

* Thu Feb 09 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - dbafe5b
- Remove obsolete pipes module

* Thu Feb 09 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 0a7a14e
- Remove obsolete pylint opts

* Thu Feb 09 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 89a8ce2
- Set systemctl env to correctly use XDG_CURRENT_DESKTOP

* Fri Jan 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 49d6699
- version 4.2.0

* Thu Dec 08 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - af05413
- version 4.1.14

* Wed Nov 30 2022 Mateusz Piórkowski <mati7337@protonmail.ch> - c74ac0f
- Replace ImageMagick with GraphicsMagick

* Thu Nov 17 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 8ab31e1
- Fix absolutely silly bug that required PATH for --get-default-whitelist

* Fri Nov 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9126bc1
- version 4.1.13

* Fri Sep 30 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 99c07a4
- Don't crash qvm-appmenus on erroneous .desktop files

* Tue Aug 23 2022 Saswat Padhi <saswat.sourav@gmail.com> - 22666d2
- Fix `_is_old_path` for dispvm directory names

* Thu May 12 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ab30eac
- ci: use a wrapper to properly mark coverage data

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7c4d679
- .qubesbuilder: replace 'spec' by 'build'

* Thu May 05 2022 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 5fe1309
- Add a --get-default-whitelist to qvm-appmenus

* Thu Apr 21 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8764b2a
- Adjust for updated pylint

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4957385
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - af283e7
- Drop Travis CI

